Bug 137980 - EDITING Moving shape with arrow keys makes it grow
Summary: EDITING Moving shape with arrow keys makes it grow
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.4.0.3 release
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:7.1.0 target:7.0.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks: DOCX-Textbox
  Show dependency treegraph
 
Reported: 2020-11-04 08:00 UTC by NISZ LibreOffice Team
Modified: 2020-11-17 13:25 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Screenshot of the original document in Writer (47.59 KB, image/png)
2020-11-04 08:00 UTC, NISZ LibreOffice Team
Details
Screenshot of the problem in Writer (61.16 KB, image/png)
2020-11-04 08:00 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-11-04 08:00:18 UTC
Created attachment 166991 [details]
Screenshot of the original document in Writer

attachment #151211 [details] from bug #117921 has some rotated textboxes made in Word.
When the third and sixth from top are selected and moved up and down with the arrow keys their height grows by about 0.25-0.5 cm after each keypress.
These textboxes have the setting “Resize shape to fit text” enabled in Word, while the others have that disabled.

Steps to reproduce:
    1. Open attachment #151211 [details] 
    2. Select the textboxes which text starts with “Resize”
    3. Press up and down arrows

Actual results:
Shapes height grows.

Expected results:
Shape moves but no size change.

LibreOffice details:
Version: 7.1.0.0.alpha1+ (x64)
Build ID: bd8edf5d2ac579e51bfbf5fa6061909a67a309c7
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL

Also in:
Verzió: 6.4.0.3 (x86)
Build az.: b0a288ab3d2d4774cb44b62f04d5d28733ac6df8
CPU szálak: 4; OS: Windows 6.3 Build 9600; Felületmegjelenítés: alapértelmezett; VCL: win; 
Területi beállítások: en-US (hu_HU); Felület nyelve: hu-HU
Calc: CL

But not yet in:
Version: 6.3.0.4 (x86)
Build ID: 057fc023c990d676a43019934386b85b21a9ee99
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
Locale: hu-HU (hu_HU); UI-Language: en-US
Calc: CL

Additional Information: 

Bibisected using bibisect-win64-6.4 to:
URL: https://cgit.freedesktop.org/libreoffice/core/commit/?id=9c81d0a268cca4ff36eff94c0842361b9c0287ef 
author	Miklos Vajna <vmiklos@collabora.com>	2019-10-07 21:10:33 +0200
committer	Miklos Vajna <vmiklos@collabora.com>	2019-10-08 08:49:03 +0200

tdf#127825 DOCX import: fix handling for tbrl, auto-height and rel size shapes

Adding CC to: Miklós Vajna
Comment 1 NISZ LibreOffice Team 2020-11-04 08:00:41 UTC
Created attachment 166992 [details]
Screenshot of the problem in Writer
Comment 2 Xisco Faulí 2020-11-04 10:24:43 UTC
Reproduced in

Version: 7.1.0.0.alpha1+
Build ID: a373a7c1705b9abc5551388998131dacc4698642
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

Adding Cc: to Miklos Vajna
Comment 3 Commit Notification 2020-11-17 08:04:54 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/712d7a5df188bb20527f1a7533b2e2c1d4377247

tdf#137980 sw textbox: fix automatic size of shapes with rotated text

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2020-11-17 09:32:07 UTC
Verified in

Version: 7.1.0.0.alpha1+
Build ID: 33381457503db841cdda3abb95ff3f96fb6e3e6c
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Miklos Vajna, thanks for fixing this issue!
Comment 5 Commit Notification 2020-11-17 13:25:49 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/8a5e6b1698cb9c31709aa19fff53c73794055448

tdf#137980 sw textbox: fix automatic size of shapes with rotated text

It will be available in 7.0.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.